/// <reference types="node" />
import { HttpClient } from "./httpClient";
import { TransferProgressEvent, WebResource } from "./webResource";
import { HttpOperationResponse } from "./httpOperationResponse";
import { HttpHeaders } from "./httpHeaders";
import { Transform } from "stream";
export declare class ReportTransform extends Transform {
    private progressCallback;
    private loadedBytes;
    _transform(chunk: string | Buffer, _encoding: string, callback: Function): void;
    constructor(progressCallback: (progress: TransferProgressEvent) => void);
}
export declare abstract class FetchHttpClient implements HttpClient {
    sendRequest(httpRequest: WebResource): Promise<HttpOperationResponse>;
    abstract prepareRequest(httpRequest: WebResource): Promise<Partial<RequestInit>>;
    abstract processRequest(operationResponse: HttpOperationResponse): Promise<void>;
    abstract fetch(input: RequestInfo, init?: RequestInit): Promise<Response>;
}
export declare function parseHeaders(headers: Headers): HttpHeaders;
//# sourceMappingURL=fetchHttpClient.d.ts.map